Bug 132919 - updates to samba missing i386 package
updates to samba missing i386 package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
https://www.redhat.com/archives/amd64...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-19 12:44 EDT by D. Hugh Redelmeier
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 12:07:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Hugh Redelmeier 2004-09-19 12:44:07 EDT
Description of problem:
Certain packages (mostly library packages) come in pairs on x86_64: 
one for x86_64 and one for i386.  This is to allow i386 programs to be
run on an x86_64 system.

One of these packages is samba.

The Fedora Core 2 Update: samba-3.0.7-2.FC2 (FEDORA-2004-305) did not
include x86_64/samba-3.0.7-2.FC2.i386.rpm.  As a result, the update
cannot be applied.


Version-Release number of selected component (if applicable):
x86_64/samba-3.0.7-2.FC2.i386.rpm.

How reproducible:


Steps to Reproduce:
1. rpm -Fv samba-3.0.7-2.FC2.x86_64.rpm \
       samba-client-3.0.7-2.FC2.x86_64.rpm \
       samba-common-3.0.7-2.FC2.x86_64.rpm \
       samba-swat-3.0.7-2.FC2.x86_64.rpm
error: Failed dependencies:
        samba-common = 0:3.0.3 is needed by (installed) samba-3.0.3-5


2.
3.
  
Actual results:
see above error message

Expected results:
clean application of update.

Additional info:

Apparently i386/samba-3.0.7-2.FC2.i386.rpm is identical to what
x86_64/samba-3.0.7-2.FC2.i386.rpm should have been: just copy it!
This should be done by Red Hat, in
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/2/x86_64/
Comment 1 Jay Fenlason 2004-09-20 10:47:19 EDT
Add the i386 fc2 repository to your /etc/yum.conf so up2date can 
find the i386 rpms of all multiarch packages (including Samba.) 
Comment 2 Bill Nottingham 2004-09-20 12:07:46 EDT
Fixing.

Note You need to log in before you can comment on or make changes to this bug.